2009-02-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.Designer.csproj: Updated references.

2009/02/06  Lluis Sanchez Gual  <lluis@novell.com>

 * MonoDevelop.Database.Designer.mdp:
 * MonoDevelop.Database.Designer.csproj: Migrated to MSBuild file
   format.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * AssemblyInfo.cs:
 * MonoDevelop.Database.Designer.addin.xml: Bump MD version.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * gtk-gui/generated.cs:
 * gtk-gui/MonoDevelop.Database.Designer.PreviewDialog.cs:
 * gtk-gui/MonoDevelop.Database.Designer.ViewEditorDialog.cs:
 * gtk-gui/MonoDevelop.Database.Designer.UserEditorDialog.cs:
 * gtk-gui/MonoDevelop.Database.Designer.TableEditorDialog.cs:
 * gtk-gui/MonoDevelop.Database.Designer.IndicesEditorWidget.cs:
 * gtk-gui/MonoDevelop.Database.Designer.ColumnsEditorWidget.cs:
 * gtk-gui/MonoDevelop.Database.Designer.CommentEditorWidget.cs:
 * gtk-gui/MonoDevelop.Database.Designer.CreateDatabaseDialog.cs:
 * gtk-gui/MonoDevelop.Database.Designer.TriggersEditorWidget.cs:
 * gtk-gui/MonoDevelop.Database.Designer.ProcedureEditorDialog.cs:
 * gtk-gui/MonoDevelop.Database.Designer.ConstraintsEditorWidget.cs:
 * gtk-gui/MonoDevelop.Database.Designer.CheckConstraintEditorWidget.cs:
 * gtk-gui/MonoDevelop.Database.Designer.UniqueConstraintEditorWidget.cs:
 * gtk-gui/MonoDevelop.Database.Designer.ForeignKeyConstraintEditorWidget.cs:
 *
   gtk-gui/MonoDevelop.Database.Designer.PrimaryKeyConstraintEditorWidget.cs:
   Flush.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Database.Designer.mdp: Flush project format changes.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* MonoDevelop.Database.Designer.mdp: Add AssemblyInfo.cs files that are
	autogenerated from the addin manifests.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.Designer.addin.xml: Bump MD version.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.mdp: Updated projects.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml: Update.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Widgets/ColumnsEditorWidget.cs,
	  Widgets/PrimaryKeyConstraintEditorWidget.cs,
	  Widgets/CheckConstraintEditorWidget.cs,
	  Widgets/CommentEditorWidget.cs, Widgets/TriggersEditorWidget.cs,
	  Widgets/ConstraintsEditorWidget.cs,
	  Widgets/ForeignKeyConstraintEditorWidget.cs,
	  Widgets/UniqueConstraintEditorWidget.cs,
	  Widgets/IndicesEditorWidget.cs, gtk-gui/objects.xml: Use new model
	  for describing custom stetic widgets.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.mdp: Fix reference to Mono.TextEditor.
	  The incorrect add-in version number causes problems in the makefile
	  synchronization.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.addin.xml: Bump MD version.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.mdp, Makefile.am: Fix projects.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	

2008-03-10  Lluis Sanchez Gual <lluis@novell.com> 

	* Widgets/ColumnsEditorWidget.cs,
	  Widgets/PrimaryKeyConstraintEditorWidget.cs,
	  Widgets/CheckConstraintEditorWidget.cs,
	  Widgets/TriggersEditorWidget.cs,
	  Widgets/ForeignKeyConstraintEditorWidget.cs,
	  Widgets/UniqueConstraintEditorWidget.cs: Track changes in the
	  MessageService class.

2008-01-30  Ben Motmans <ben.motmans@gmail.com> 

	* Dialogs/CreateDatabaseDialog.cs: GUI changes
	* gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Database.Designer.CreateDatabaseDialog.cs,
	  gtk-gui/gui.stetic: auto generated code
	* gtk-gui/MonoDevelop.Database.Designer.CreateDatabaseWidget.cs: obsolete

2008-01-29  Ben Motmans <ben.motmans@gmail.com> 

	* Dialogs/CreateDatabaseDialog.cs, Widgets/CreateDatabaseWidget.cs: improved
	  design of the create database dialog
	* gtk-gui/MonoDevelop.Database.Designer.CreateDatabaseWidget.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Database.Designer.CreateDatabaseDialog.cs,
	  gtk-gui/gui.stetic: auto generated code

2008-01-28  Ben Motmans <ben.motmans@gmail.com> 

	* Dialogs/TableEditorDialog.cs, Dialogs/ProcedureEditorDialog.cs,
	  Dialogs/ViewEditorDialog.cs, Dialogs/CreateDatabaseDialog.cs,
	  Widgets/ColumnsEditorWidget.cs,
	  Widgets/PrimaryKeyConstraintEditorWidget.cs,
	  Widgets/CheckConstraintEditorWidget.cs, Widgets/TriggersEditorWidget.cs,
	  Widgets/ConstraintsEditorWidget.cs,
	  Widgets/ForeignKeyConstraintEditorWidget.cs,
	  Widgets/UniqueConstraintEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.UniqueConstraintEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.ColumnsEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.CheckConstraintEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.TriggersEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.PrimaryKeyConstraintEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.CommentEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.ForeignKeyConstraintEditorWidget.cs,
	  gtk-gui/gui.stetic: make use of settings classes to change the behavior
	  of the dialogs

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.addin.xml: Update MD version.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.addin.xml: Updated add-in category and
	  description.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.mdp: Updated project file. The order of
	  extended properties won't change anymore.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.mdp: Updated project files.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Dialogs/TableEditorDialog.cs, Dialogs/ProcedureEditorDialog.cs,
	  Dialogs/ViewEditorDialog.cs, Dialogs/UserEditorDialog.cs,
	  Widgets/ColumnsEditorWidget.cs,
	  Widgets/PrimaryKeyConstraintEditorWidget.cs,
	  Widgets/CheckConstraintEditorWidget.cs, Widgets/TriggersEditorWidget.cs,
	  Widgets/ConstraintsEditorWidget.cs,
	  Widgets/ForeignKeyConstraintEditorWidget.cs,
	  Widgets/UniqueConstraintEditorWidget.cs,
	  MonoDevelop.Database.Designer.addin.xml,
	  gtk-gui/MonoDevelop.Database.Designer.CheckConstraintEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.ViewEditorDialog.cs,
	  gtk-gui/MonoDevelop.Database.Designer.TriggersEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.PreviewDialog.cs,
	  gtk-gui/MonoDevelop.Database.Designer.UserEditorDialog.cs,
	  gtk-gui/MonoDevelop.Database.Designer.CreateDatabaseDialog.cs,
	  gtk-gui/MonoDevelop.Database.Designer.TableEditorDialog.cs,
	  gtk-gui/MonoDevelop.Database.Designer.ProcedureEditorDialog.cs,
	  gtk-gui/MonoDevelop.Database.Designer.ForeignKeyConstraintEditorWidget.cs,
	  gtk-gui/gui.stetic, MonoDevelop.Database.Designer.mdp, Makefile.am:
	  Directory reorganization.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* Dialogs/TableEditorDialog.cs, Widgets/ColumnsEditorWidget.cs: Track
	  LoggingService API. Replace some "LogError" calls with "LogDebug" calls.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.mdp: Project file names updated by change in
	  MD path functions.

2007-10-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.mdp: Fix required GTK# version.

2007-09-26  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Database.Designer.mdp: Don't unnecessarily local-copy project
	  references. Don't sync EXTRA_DIST with deploy files. Add Makefile.am to
	  file list.
	* Makefile.am: Don't deploy .addin.xml file.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Designer.addin.xml: Bump MD version.

2007-09-19  Ben Motmans <ben.motmans@gmail.com> 

	* Dialogs/ViewEditorDialog.cs: use the correct capabilities

2007-09-19  Ben Motmans <ben.motmans@gmail.com> 

	* Commands/temp.cs, MonoDevelop.Database.Designer.mdp, Makefile.am: removed
	  empty file

2007-09-16  Ben Motmans <ben.motmans@gmail.com> 

	* Makefile.am: link to the correct Mono.Addins dll

2007-09-07  Ben Motmans <ben.motmans@gmail.com> 

	* Dialogs/TableEditorDialog.cs, Dialogs/ProcedureEditorDialog.cs,
	  Dialogs/ViewEditorDialog.cs, Dialogs/UserEditorDialog.cs,
	  Dialogs/CreateDatabaseDialog.cs, Widgets/ColumnsEditorWidget.cs,
	  Widgets/PrimaryKeyConstraintEditorWidget.cs,
	  Widgets/CheckConstraintEditorWidget.cs, Widgets/TriggersEditorWidget.cs,
	  Widgets/ConstraintsEditorWidget.cs,
	  Widgets/ForeignKeyConstraintEditorWidget.cs,
	  Widgets/UniqueConstraintEditorWidget.cs, Widgets/IndicesEditorWidget.cs:
	  improved capabilities system

2007-08-29  Ben Motmans <ben.motmans@gmail.com> 

	* Dialogs/TableEditorDialog.cs: retrieve and store the list of database
	  tables for use in the constraint editor dialog
	* Widgets/ConstraintsEditorWidget.cs: use the correct list of database
	  tables

2007-08-29  Ben Motmans <ben.motmans@gmail.com> 

	* gtk-gui/gui.stetic: changes in auto generated code

2007-08-28  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/ConstraintsEditorWidget.cs: use correct parameters for
	  ForeignKeyConstraintEditorWidget ctor
	* Widgets/ForeignKeyConstraintEditorWidget.cs: fixed some copy paste errors
	* gtk-gui/gui.stetic, MonoDevelop.Database.Designer.mdp, Makefile.am: use
	  project references instead of assembly references

2007-08-28  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/ForeignKeyConstraintEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Designer.ForeignKeyConstraintEditorWidget.cs,
	  gtk-gui/gui.stetic: GUI implementation

2007-08-03  Ben Motmans <ben.motmans@gmail.com>

	* Dialogs/TableEditorDialog.cs, Dialogs/ViewEditorDialog.cs, Dialogs/ProcedureEditorDialog.cs:
	added a warning widget that can show the user whats wrong with the schema object
	* Dialogs/PreviewDialog.cs: fixed the ctor
	* Widgets/TriggersEditorWidget.cs, Widgets/PrimaryKeyConstraintEditorWidget.cs, 
	Widgets/CheckConstraintEditorWidget.cs, Widgets/UniqueConstraintEditorWidget.cs,
	Widgets/ForeignKeyConstraintEditorWidget.cs, Widgets/IndicesEditorWidget.cs,
	Widgets/ColumnsEditorWidget.cs: Added support for a error message while validating the control

2007-08-02  Ben Motmans <ben.motmans@gmail.com>

	* Widgets/UniqueConstraintEditorWidget.cs: removed the "Columns" column from the listview,
	Validate and FillSchemaObjects implementation
	* Widgets/TriggersEditorWidget.cs, Widgets/PrimaryKeyConstraintEditorWidget.cs, 
	Widgets/CheckConstraintEditorWidget.cs: Validate and FillSchemaObjects implementation
	* Widgets/ForeignKeyConstraintEditorWidget.cs, Widgets/IndicesEditorWidget.cs: FillSchemaObjects stub
	* Widgets/ConstraintsEditorWidget.cs: ValidateSchemaObjects implementation
	* Widgets/ColumnsEditorWidget.cs: FillSchemaObjects implementation, show the default length
	if the datatype is changed
	* Dialogs/TableEditorDialog.cs: Fill objects when Ok is clicked

	* Widgets/UniqueConstraintEditorWidget.cs: implementation of the treeview with handlers
	* Widgets/TriggersEditorWidget.cs: added a column for the TriggerFireType

2007-08-01  Ben Motmans <ben.motmans@gmail.com>

	* Widgets/UniqueConstraintEditorWidget.cs: implemented Add and Remove button clicks
	* Widgets/TriggersEditorWidget.cs: Add and initialize implementation
	* Widgets/ColumnsEditorWidget.cs: better visualisation of database capabilities
	* Widgets/CheckConstraintEditorWidget.cs: implemented Add and Remove button clicks
	* Dialogs/TableEditorDialog.cs: create a clone when altering the table and various
	small bugfixes
	* Dialogs/ProcedureEditorDialog.cs, Dialogs/ViewEditorDialog.cs: show the alter
	statement instead of the create statement when the dialog is in alter mode
	* Dialogs/PreviewDialog.cs: Added a SqlEditor widget

2007-07-31  Ben Motmans <ben.motmans@gmail.com>

	* Dialogs/TableEditorDialog.cs: various improvements
	* Dialogs/ViewEditorDialog.cs: dialog implementation
	* Dialogs/ProcedureEditorDialog.cs: dialog implementation
	* Widgets/ColumnsEditorWidget.cs: various bugfixes
	* Widgets/ForeignKeyConstraintEditorWidget.cs, Widgets/UniqueConstraintEditorWidget.cs,  
	Widgets/PrimaryKeyConstraintEditorWidget.cs, Widgets/ConstraintsEditorWidget.cs,  
	Widgets/CheckConstraintEditorWidget.cs: Added separate widgets to edit each type of constraint

2007-07-25  Ben Motmans <ben.motmans@gmail.com>

	* Dialogs/TableEditorDialog.cs: small bugfixes
	* Dialogs/CreateDatabaseDialog.cs: dialog to create a new database
	* Dialogs/ViewEditorDialog.cs, Dialogs/UserEditorDialog.cs, 
	Dialogs/ProcedureEditorDialog.cs, Dialogs/PreviewDialog.cs:
	Stubs for the dialogs
	* MonoDevelop.Database.Designer.addin.xml: addin definitions
	* Widgets/TriggersEditorWidget.cs, Widgets/IndicesEditorWidget.cs,
	Widgets/ConstraintsEditorWidget.cs: stubs with ctor
	* Widgets/ColumnsEditorWidget.cs: Various improvements and bugfixes
	* Widgets/CommentEditorWidget.cs: Widget to edit comment

2007-07-18  Ben Motmans <ben.motmans@gmail.com>

	* Dialogs/TableEditorDialog.cs, Widgets/TriggersEditorWidget.cs,
	Widgets/IndicesEditorWidget.cs, Widgets/ConstraintsEditorWidget.cs,
	Widgets/ColumnsEditorWidget.cs: Widgets and dialogs used by the Table Editor (unfinished)
